Package org.apache.calcite.avatica.proto

## Interface Common.StatementHandleOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `Common.StatementHandle`, `Common.StatementHandle.Builder`

Enclosing class:
  Common

    public static interface Common.StatementHandleOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getConnectionId()` `string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `string connection_id = 1;`
`int` `getId()` `uint32 id = 2;`
`Common.Signature` `getSignature()` `.Signature signature = 3;`
`Common.SignatureOrBuilder` `getSignatureOrBuilder()` `.Signature signature = 3;`
`boolean` `hasSignature()` `.Signature signature = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getConnectionId

    java.lang.String getConnectionId()

`string connection_id = 1;`

#### getConnectionIdBytes

    com.google.protobuf.ByteString getConnectionIdBytes()

`string connection_id = 1;`

#### getId

    int getId()

`uint32 id = 2;`

#### hasSignature

    boolean hasSignature()

`.Signature signature = 3;`

#### getSignature

    Common.Signature getSignature()

`.Signature signature = 3;`

#### getSignatureOrBuilder

    Common.SignatureOrBuilder getSignatureOrBuilder()

`.Signature signature = 3;`